Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.session
Class UserSession

    java.lang.Object
      com.endeca.portal.session.UserSession

All Implemented Interfaces:
  java.io.Serializable

    public class UserSession

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`void` | `addMDEXState(MDEXState mdexState)`
`void` | `addMDEXStates(java.util.List<MDEXState> mdexStates)`
`static void` | `caughtParameters(java.lang.String sessionId)`
`static void` | `clearViewTransitionParameters(java.lang.String sessionId)`
`boolean` | `dataSourceExists(java.lang.String key)`
`static boolean` | `deferredLoad(java.lang.String sessionId)`
`static UserSession` | `getInstance(javax.portlet.PortletRequest request)` TODO: This whole method just seems a little awkward...can it be cleaned up?
`MDEXSecurityManager` | `getMDEXSecurityManager()`
`MDEXState` | `getMDEXState(java.lang.String key)`
`AbstractMDEXStateManager` | `getMDEXStateManager()`
`java.util.Map<java.lang.String,MDEXState>` | `getMDEXStates()`
`java.lang.String` | `getViewTransitionParameter(java.lang.String key)`
`java.util.Iterator<java.util.Map.Entry<java.lang.String,java.lang.String>>` | `getViewTransitionParameters()`
`boolean` | `isMetadataCacheEnabled()`
`protected static void` | `removeInstance(java.lang.String key)`
`void` | `removeMDEXState(java.lang.String key)`
`void` | `setViewTransitionDeferred()`
`void` | `setViewTransitionParameter(java.lang.String key, java.lang.String value)`
`static boolean` | `throwingParameters(java.lang.String sessionId)`
`static void` | `unsetViewTransitionDeferred(java.lang.String sessionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isMetadataCacheEnabled

    public boolean isMetadataCacheEnabled()

### removeInstance

    protected static void removeInstance(java.lang.String key)

### getInstance

    public static UserSession getInstance(javax.portlet.PortletRequest request)
                                   throws UserSessionException

  TODO: This whole method just seems a little awkward...can it be cleaned up?

  Throws:
    `UserSessionException`

### getMDEXStates

    public java.util.Map<java.lang.String,MDEXState> getMDEXStates()

### getMDEXState

    public MDEXState getMDEXState(java.lang.String key)

### dataSourceExists

    public boolean dataSourceExists(java.lang.String key)

### addMDEXState

    public void addMDEXState(MDEXState mdexState)

### addMDEXStates

    public void addMDEXStates(java.util.List<MDEXState> mdexStates)

### removeMDEXState

    public void removeMDEXState(java.lang.String key)

### getMDEXStateManager

    public AbstractMDEXStateManager getMDEXStateManager()

### getMDEXSecurityManager

    public MDEXSecurityManager getMDEXSecurityManager()

### getViewTransitionParameter

    public java.lang.String getViewTransitionParameter(java.lang.String key)

### setViewTransitionParameter

    public void setViewTransitionParameter(java.lang.String key,
                                           java.lang.String value)

### getViewTransitionParameters

    public java.util.Iterator<java.util.Map.Entry<java.lang.String,java.lang.String>> getViewTransitionParameters()

### clearViewTransitionParameters

    public static void clearViewTransitionParameters(java.lang.String sessionId)
                                              throws UserSessionException

  Throws:
    `UserSessionException`

### throwingParameters

    public static boolean throwingParameters(java.lang.String sessionId)
                                      throws UserSessionException

  Throws:
    `UserSessionException`

### caughtParameters

    public static void caughtParameters(java.lang.String sessionId)
                                 throws UserSessionException

  Throws:
    `UserSessionException`

### setViewTransitionDeferred

    public void setViewTransitionDeferred()
                                   throws UserSessionException

  Throws:
    `UserSessionException`

### unsetViewTransitionDeferred

    public static void unsetViewTransitionDeferred(java.lang.String sessionId)
                                            throws UserSessionException

  Throws:
    `UserSessionException`

### deferredLoad

    public static boolean deferredLoad(java.lang.String sessionId)
                                throws UserSessionException

  Throws:
    `UserSessionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD